%define py_major %(rpm -q python --queryformat '%%{version}' | cut -b1-3 2>/dev/null)

Summary: Library providing the Gnome XSLT engine 
Name: libxslt
Version: 1.1.14
Release: 2tr
License: MIT
Group: Trustix Official
Source: ftp://xmlsoft.org/%{name}-%{version}.tar.gz
Requires: libxml2 >= 2.6.17
BuildRequires: libxml2-devel >= 2.6.17
BuildRequires: python python-devel
BuildRequires: libxml2-python
BuildRequires: libgcrypt-devel
Buildroot: %{_tmppath}/%{name}-%{version}-root

%description
Libxslt is the XSLT C library developed for the Gnome project. XSLT itself is a an XML language to define transformation for XML. Libxslt is based on libxml2 the XML C library developed for the Gnome project. It also implements most of the EXSLT set of processor-portable extensions functions and some of Saxon's evaluate and expressions extensions.

%package devel
Summary: Libraries, includes, etc. to embed the Gnome XSLT engine
Group: Trustix Official
Requires: libxslt = %{version}
Requires: libxml2-devel >= 2.5.6
Requires: libgcrypt-devel

%description devel
This C library allows to transform XML files into other XML files
(or HTML, text, ...) using the standard XSLT stylesheet transformation
mechanism. To use it you need to have a version of libxml2 >= 2.6.17
installed.

%package python
Summary: Python bindings for the libxslt library
Group: Trustix Official
Requires: libxslt = %{version}
Requires: libxml2 >= 2.6.17
Requires: libxml2-python >= 2.6.17
Requires: /usr/lib/python%{py_major}

%description python
The libxslt-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by the libxslt library to apply XSLT transformations.

%prep
%setup -q

%build
%configure \
	--with-python=/usr/bin/python \
	--with-crypto \
	--with-plugins 
make 

%install

make DESTDIR=$RPM_BUILD_ROOT install

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig


%files
%defattr(-,root,root,0755)
%doc AUTHORS NEWS README Copyright TODO FEATURES
%doc doc/*.html doc/html doc/tutorial doc/tutorial2 doc/*.gif
%doc doc/EXSLT
%doc %{_mandir}/man1/xsltproc.1*
%{_libdir}/lib*.so.*
/usr/bin/xsltproc

%files devel
%defattr(-, root, root)
%doc doc/libxslt-api.xml
%doc doc/libxslt-refs.xml
%doc doc/EXSLT/libexslt-api.xml
%doc doc/EXSLT/libexslt-refs.xml
%doc %{_mandir}/man3/libxslt.3*
%doc %{_mandir}/man3/libexslt.3*
%{_libdir}/lib*.so
%{_libdir}/*a
%{_libdir}/*.sh
/usr/share/aclocal/libxslt.m4
/usr/include/*
/usr/bin/xslt-config
%{_libdir}/pkgconfig/libxslt.pc
%{_libdir}/pkgconfig/libexslt.pc

%files python
%defattr(-, root, root)
%{_libdir}/python%{py_major}/site-packages/libxslt.py
%{_libdir}/python%{py_major}/site-packages/libxsltmod*
%doc python/TODO
%doc python/libxsltclass.txt
%doc python/tests/*.py
%doc python/tests/*.xml
%doc python/tests/*.xsl



%changelog
* Mon Apr 25 2005 Nived Gopalan  <nived at comodo dot com> 1.1.14-1tr
- Initial release
